import { request } from '@/utils/request'

//登录工位选择
export function workstation(userId:any) {
    return request({ 
        url: `/terminal/workstation/${userId}`, 
        method: 'get'
    })
}

//任务列表
export function tasklist(data:any) {
    return request({ 
        url: '/terminal/task', 
        method: 'post',
        data
    })
}

//任务详情
export function taskdetail(data:any) {
    return request({ 
        url: '/terminal/detail/content', 
        method: 'post',
        data
    })
}

//操作日志列表
export function operationlist(data:any) {
    return request({ 
        url: '/terminal/operation/list', 
        method: 'post',
        data
    })
}

//报工
export function reportingwork(data:any) {
    return request({ 
        url: '/terminal/submit', 
        method: 'post',
        data
    })
}


//登出设备
export function terlogout(data:any) {
    return request({ 
        url: '/terminal/logout', 
        method: 'post',
        data
    })
}